version 13.0
log using "C:\Users\mgolder\Dropbox\matt\publications\bjps2\response\response.log", replace
#delimit ;

*     ***************************************************************** *;
*     ***************************************************************** *;
*       File-Name:      response.do                                     *;
*       Date:           July 22, 2016                                   *;
*       Author:         MRG/CC                                          *;
*       Purpose:      	Analyses for our response memo                  *;
* 	    Input File:     bjps_powell_tucker_dataset2.dta                 *;
*       Output File:    response.log                                    *;
*       Data Output:    None                                            *;
*       Previous file:  bjps_powell_tucker_dataset.dta                  *;
*       Machine:        laptop                 				            *;
*     ****************************************************************  *;
*     ****************************************************************  *;

use "C:\Users\mgolder\Dropbox\matt\publications\bjps2\replication\bjps_powell_tucker_dataset2.dta", clear;

*     ****************************************************************  *;
*     ****************************************************************  *;
*		Let's start with some descriptive information about the key	    *;
*		variables.													    *;
*     ****************************************************************  *;
*     ****************************************************************  *;

sum TypeAVol GDPChange1989 GDPChange1989_corrected;

*     ****************************************************************  *;
*		Let's see the substantive effect of a 2 sd change				*;
*     ****************************************************************  *;

sum  GDPChange1989, detail;

return list;

scalar gdp_original_sd=r(sd);

display gdp_original_sd;

sum  GDPChange1989_corrected, detail;

return list;

scalar gdp_corrected_sd=r(sd);

display gdp_corrected_sd;

sum  TypeAVol, detail;

return list;

scalar replacement_sd=r(sd);

display replacement_sd;

*     ****************************************************************  *;
*     ****************************************************************  *;
*		Let's look at substantive results from their original model	    *;
*     ****************************************************************  *;
*     ****************************************************************  *;

*     ****************************************************************  *;
*       Increase of two standard deviations in GDPChange1989            *;
*     ****************************************************************  *;

reg TypeAVol GDPChange1989 GDPChangeE1E2 Enp1 lg_weighted_mag presys mixsys pr
            EthFrac Time Time2 mis_weighted_mag, cluster(Country);

lincom GDPChange1989*2*gdp_original_sd;

*     ****************************************************************  *;
*     ****************************************************************  *;
*		Let's look at substantive results from the corrected data	    *;
*     ****************************************************************  *;
*     ****************************************************************  *;

*     ****************************************************************  *;
*       Increase of two standard deviations in GDPChange1989_corrected  *;
*     ****************************************************************  *;

reg TypeAVol GDPChange1989_corrected GDPChangeE1E2 Enp1 lg_weighted_mag presys mixsys pr
            EthFrac Time Time2 mis_weighted_mag, cluster(Country);

lincom GDPChange1989*2*gdp_corrected_sd;

return list;

scalar effect=r(estimate);

*     ****************************************************************  *;
*		Substantive effect on replacement volatility					*;
*     ****************************************************************  *;

di (effect/replacement_sd)*100;

*     ****************************************************************  *;
*		R2 and RMSE														*;
*     ****************************************************************  *;

reg TypeAVol GDPChange1989_corrected GDPChangeE1E2 Enp1 lg_weighted_mag presys mixsys pr  EthFrac Time Time2 mis_weighted_mag, cluster(Country);

reg TypeAVol GDPChangeE1E2 Enp1 lg_weighted_mag presys mixsys pr  EthFrac Time Time2 mis_weighted_mag, cluster(Country);

log close;
clear;










